All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas
Interface ModelInterface

All Known Subinterfaces:
  BookmarkManagerInterface, BookmarkManagerV2Interface, CommandProcessorViewInterface, ComponentInterface, LevelTreeInterface, LevelTreeV2Interface, LevelTreeV3Interface, ServerNodeInterface, com.sas.servlet.beans.TransformationInterface

All Known Implementing Classes:
  _rprxIOMBookmarkManager, _rprxIOMBookmarkManagerV2, _rprxIOMLevelTree, _rprxIOMLevelTreeV2, _rprxIOMLevelTreeV3, _rprxJ2BookmarkManager, _rprxJ2BookmarkManagerV2, _rprxJ2LevelTree, _rprxJ2LevelTreeV2, _rprxJ2LevelTreeV3, _rprxJ2ServerNode, _rprxRemoteBookmarkManagerClient, _rprxRemoteBookmarkManagerV2Client, _rprxRemoteDesignTimeBookmarkManager, _rprxRemoteDesignTimeBookmarkManagerV2, _rprxRemoteDesignTimeLevelTree, _rprxRemoteDesignTimeLevelTreeV2, _rprxRemoteDesignTimeLevelTreeV3, _rprxRemoteDesignTimeServerNode, _rprxRemoteLevelTreeClient, _rprxRemoteLevelTreeV2Client, _rprxRemoteLevelTreeV3Client, _rprxRemoteServerNodeClient, ActionNode, Alarm, AlarmButtonModel, AlphabeticSequencer, AnimationIconView, Applet, AppletVisualComponent, ArrowButton, AssociationList, BaseBorder, BaseButton, BaseCollection, BaseDataBean, BasicColorsCanvas, BasicColorsPanel, BookmarkManagerDelegate, BooleanData, BooleanOperator, Border, BorderedContainer, BorderedPanel, BoundedDouble, BoundedLong, BufferedPanel, Button, ButtonDialog, ButtonPanel, ButtonVisualComponent, ByteData, Canvas, CanvasVisualComponent, CatalogSelectorDialog, CharacterData, CheckBox, CheckBoxCell, CheckBoxVisualComponent, Choice, ChoiceVisualComponent, ClassNode, ClassPathClasses, ClassSelectorPanel, CloseCancelCustomizerDialog, Collection, CollectionMirror, Color, ColorComponent, ColorDialog, ColorList, ColorNameList, ColorPanel, ComboBox, CommandProcessor, Component, Component, ComponentVisualComponent, CompositeBorder, CompositeContainer, CompositePanel, Container, ContainerContainerComponent, ContainerVisualComponent, CurrentDate, CurrentTime, CustomColorsPanel, CustomizerDialog, CustomizerPanel, DataSetSelectorDialog, DataTableSortController, DateTimeMonitor, DefaultButtonListener, DefaultButtonModel, DefaultColorList, DefaultFontFamilyList, DefaultFontList, Dialog, DialogContainerComponent, DialogVisualComponent, Dictionary, DirectoryDialog, DoubleData, DualSelector, DynamicPropertyBag, EISSelectorDialog, File, FileComponent, FileList, FileListFiltersPanel, FileSystem, FileSystemList, Fireworks, FloatData, Font, FontComponent, FontDialog, FontList, FontPanel, Frame, FrameContainerComponent, FrameVisualComponent, GraphicalCheckBox, IconView, ImageAnimation, ImageLinkModel, ImageModel, ImageSequence, ImageView, IMDBTable, IndexedPropertyEditorHost, IntegerData, IntegerRange, com.sas.rmi.IOMBaseClient, com.sas.rmi.J2BaseClient, JDBCToDataTableAdapter, KeyCollection, Label, LabelView, LabelVisualComponent, LevelTreeDelegate, LevelTreeNode, LibrarySelectorDialog, ListBox, ListBoxVisualComponent, LongData, Marquee, MDSelectorMenuItemNode, MenuBarNode, MenuItemNode, MenuNode, MessageBox, MetabaseSelectorDialog, NavigationBar, Node, NodeDelegate, NodeIcon, NumericTextField, ObjectData, OkCancelHelpDialog, OrderedCollection, OrderedListCollection, OrientationSelector, Panel, PanelContainerComponent, PanelVisualComponent, ParameterBag, Printer, PrinterList, ProgressDialog, ProgressiveLevelTreeNode, PropertyEditorHost, PropertySheet, PushButton, RadioBox, RadioButton, RangeCollection, com.sas.rmi.RemoteBaseClient, com.sas.rmi.RemoteDesignTimeBaseClient, RemoteObjectCustomizerPanel, RemoteObjectSelectorDialog, RGBList, com.sas.rmi.RMIBaseClient, SASListDelegate, SASListNode, SASListNodeDelegate, SASProcedureTemplate, Scrollbar, Scrollbar, ScrollbarVisualComponent, ScrollPane, ScrollPaneContainerComponent, ScrollPaneVisualComponent, ScrollSlider, SelectionGroup, SelectorMenuItemNode, ServerNodeDelegate, Set, ShortData, SimpleJSTreeNode, SimpleTable, SliderListener, SortedCollection, SpinBox, SpinButton, StaticCollection, StaticDictionary, StaticOrderedCollection, StaticStringList, StaticTextModel, StatusStringData, StringCollection, StringComparator, StringData, StyledLabelView, TabBar, TabbedView, TabBorder, TabButton, TabButtonModel, TabFolder, TableView, Template, TextArea, TextAreaVisualComponent, TextBorder, TextEditComposite, TextField, TextFieldVisualComponent, TextLinkModel, TextValueModel, Timer, ToggleButton, ToggleButtonModel, Toolbar, ToolbarBorder, ToolbarButton, TransformingComparator, Tree, TreeNode, TreeNodeAdaptor, TreeView, UnitsBox, UpDownListBox, UpDownTextArea, URL, Windows95Border, WordWrapTextArea

    public interface ModelInterface

The ModelInterface interface defines all the functionality needed for a component to behave as a model in a model-view connection. The com.sas.Component class implements the ModelInterface by implementing ComponentInterface, which extends ModelInterface.

See Also:
  `ViewInterface`

Method Summary
`abstract boolean` | `attachView()` attachView is called on the model during an attachModel call on the view.
`abstract void` | `detachView()` detachView is called on the model during an detachModel call on the view.

Method Detail

### attachView

    boolean attachView()

  attachView is called on the model during an attachModel call on the view. The attachView method serves as a hook for the model to receive notification that a view is attaching to it. The model can deny the attach request by returning false, in which case the attachModel request on the view will fail.

  Returns:
    boolean whether the model will allow the attach
  See Also:
    `detachView()`, `ViewInterface.attachModel(com.sas.ModelInterface)`

### detachView

    void detachView()

  detachView is called on the model during an detachModel call on the view. The detachView method serves as a hook for the model to receive notification that a view is detaching from it.

  See Also:
    `attachView()`, `ViewInterface.detachModel(com.sas.ModelInterface)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.